Modem
All operations require authentication.
Apply a modem templateProduction
Applies a modem template to the modem of the access, except the parameters the template ignores. Returns the task that performs the change.
Path parameters
Service name
Request body (required)
Modem Template Name
Response
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ applyTemplateToModem \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
Get the modem of an xDSL accessProduction
Returns the modem brand, model, serial and MAC address, its bridge and DMZ settings, MTU, firewall level, IPv6 support, ACS backend and capabilities.
Path parameters
Service name
Response
ACS backend used by the modem
betadevstableVersion of ACS API used
Describe the capabilities of the Modem
IP Address of the DMZ (To modify or delete the DMZ IP on the modem, a re-configuration of your modem has to be made, your configuration will be maintained, but you will lose your connection a few minutes)
Level of the FireWall on the modem
BlockAllDisabledNormalWhether or not the modem supports IPv6
Whether or not the modem is in bridge mode. To pass from bridge mode to routed mode, a reset is necessary. If the modem is managedByOvh, the bridge state will be kept after a reset
Last time the modem made a CWMP request to the Auto Configuration Server
Whether or not the user can configure his modem via OVH Interface (will lock telnet and local HTTP configuration page)
Size of the Maximum Transmission Unit on the modem's interfaces
143214561492Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem \
-H "authorization: Bearer $OVH_TOKEN"{ "acsBackend": "beta", "acsVersion": "string", "brandName": "string", "capabilities": { "canBeManagedByOvh": true, "canChangeACS": true, "canChangeBridgeMode": true, "canChangeDHCP": true, "canChangeDMZ": true, "canChangeEasyFirewallLevel": true, "canChangeFirmware": true, "canChangeLAN": true, "canChangeManagement": true, "canChangeMtu": true, "canChangePortMapping": true, "canChangeWLAN": true, "canChangeWifiRadio": true, "canChangeWifiSSID": true, "canReboot": true, "canReconfigureVoip": true, "canRefreshConnectedDevices": true, "canReset": true, "canUseWifiRadio": true }, "dmzIP": "192.0.2.0", "easyFirewallLevel": "BlockAll", "ipv6Support": true, "isBridged": true, "lastCwmpRequestDate": "2024-01-01T12:00:00Z", "macAddress": "string", "managedByOvh": true, "model": "string", "mtuSize": 1432, "serialNumber": "string"}
Update the modem of an xDSL accessProduction
Changes the settings that can be modified: management by OVHcloud, bridge mode, DMZ IP, MTU size and ACS backend.
Path parameters
Service name
Request body (required)
ACS backend used by the modem
betadevstableVersion of ACS API used
Describe the capabilities of the Modem
IP Address of the DMZ (To modify or delete the DMZ IP on the modem, a re-configuration of your modem has to be made, your configuration will be maintained, but you will lose your connection a few minutes)
Level of the FireWall on the modem
BlockAllDisabledNormalWhether or not the modem supports IPv6
Whether or not the modem is in bridge mode. To pass from bridge mode to routed mode, a reset is necessary. If the modem is managedByOvh, the bridge state will be kept after a reset
Last time the modem made a CWMP request to the Auto Configuration Server
Whether or not the user can configure his modem via OVH Interface (will lock telnet and local HTTP configuration page)
Size of the Maximum Transmission Unit on the modem's interfaces
143214561492Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem \
-H "authorization: Bearer $OVH_TOKEN"List the ACS backends of the modemProduction
Returns the ACS backends the modem of the access can use.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ availableACSBackend \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get the firmware of the modemProduction
Returns the firmware version installed on the modem of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ firmware \
-H "authorization: Bearer $OVH_TOKEN""string"
Upgrade the firmware of the modemProduction
Installs a firmware version on the modem of the access, now or at the given date. Returns the task that performs the change.
Path parameters
Service name
Request body (required)
The firmware version to upgrade to
Date of execution, default is now
Response
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ firmware \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
List the firmware versions of the modemProduction
Returns the firmware versions that can be installed on the modem of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ firmwareAvailable \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get the ONT of an xDSL accessProduction
Returns the serial and MAC address of the optical network terminal of the access.
Path parameters
Service name
Response
MAC address of the device
Serial of the device
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ ont \
-H "authorization: Bearer $OVH_TOKEN"{ "mac": "string", "serial": "string"}